#!/usr/bin/env python

from WebStack.Adapters.BaseHTTPRequestHandler import deploy
from WebStack.Resources.ResourceMap import MapResource
from WebStack.Resources.Static import DirectoryResource
import Configurator
import os

# Get the directory of the application.

directory = os.path.split(Configurator.__file__)[0]

# Make a simple Web site.

resource = MapResource({
    "styles" : DirectoryResource(os.path.join(directory, "Resources", "styles"), {"css" : "text/css"}),
    "scripts" : DirectoryResource(os.path.join(directory, "Resources", "scripts"), {"js" : "text/javascript"}),
    None : Configurator.ConfiguratorResource()
    })

# Special magic incantation.

print "Serving..."
deploy(resource, handle_errors=0)

# vim: tabstop=4 expandtab shiftwidth=4
